
%global commit cfbd4b36165f1708b885610fa32775f75997579a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global prerelease 20150303

Name:           lv2-fabla
Version:        1.3
Release:        0.1.%{prerelease}git%{shortcommit}%{?dist}
Summary:        An LV2 drum sequencer

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://openavproductions.com/fabla/
Source0:        https://github.com/harryhaaren/openAV-Fabla/archive/%{commit}.zip

BuildRequires:  faust
BuildRequires:  non-ntk-devel
BuildRequires:  libsndfile-devel
BuildRequires:  cairomm-devel
BuildRequires:  lv2-devel
BuildRequires:  cmake
Requires:       lv2

%description
%{name} is a drum sampler plugin instrument. It is ideal for loading up your
favorite sampled sounds and bashing away on a MIDI controller. Or if it’s 
crafty beat programming your after that’s cool too! The ADSR envelope allows
the shaping of hi-hats and kicks while the compressor beefs up the sound for 
those thumping kicks!
Additional presets can be found at:
   https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Fabla-%{commit}
sed -i -e 's|\-Wall|%{optflags}|g' -e 's|lib/|%{_lib}/|g' CMakeLists.txt
%ifarch %{arm}
sed -i -e 's|-msse2 -mfpmath=sse||g' CMakeLists.txt
%endif

%build
%{cmake}
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}/lv2
make install DESTDIR=%{buildroot}

%files
%doc README.md CHANGELOG LICENSE
%{_libdir}/lv2/*

%changelog
* Wed May 06 2015 Brendan Jones <brendan.jones.it@gmail.com> 1.3-0.1.gitcfbd4b36
- Update to latest git 

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1-4.3.20131003git5f2cb26
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.3.20131003git5f2cb26
- Remove additional presets, update description

* Fri Oct 25 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.2.20101003git5f2cb26
- Remove durtySouth kit

* Sun Oct 13 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.1.20131003git5f2cb26
- Clean up git URLs and sources
- Split presets into separate package

* Tue Sep 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.1.gite8fb937
- Initial package

